Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui
Class ECPWizard<T extends CompositeProvider>

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.ecp.spi.common.ui.ECPWizard<T>

Type Parameters:
  `T` - the `CompositeProvider` to use during build

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard

Direct Known Subclasses:
  AddReferenceModelElementWizard, AddRepositoryWizard, CheckoutProjectWizard, CreateProjectWizard, FilterModelElementWizard, SelectEStructuralFeaturesWizard, SelectModelElementWizard

    public abstract class ECPWizard<T extends CompositeProvider>

extends org.eclipse.jface.wizard.Wizard

An abstract class for all Wizard with only one page that use an `CompositeProvider` to create this page.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ECPWizard()`

Method Summary
`void` | `setCompositeProvider(CompositeProvider compositeProvider)` Sets the `CompositeProvider` for this wizard.

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPWizard

    public ECPWizard()

Method Detail

### setCompositeProvider

    public void setCompositeProvider(CompositeProvider compositeProvider)

  Sets the `CompositeProvider` for this wizard.

  Parameters:
    `compositeProvider` - the `CompositeProvider` to set

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.